ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.PPC.FreeRegs

Description

Free regs map for PowerPC

# Documentation

data FreeRegs

Constructors

FreeRegs !Word32 !Word32 |

Instances

Show FreeRegs |
FR FreeRegs |

noFreeRegs :: FreeRegs

releaseReg :: RealReg -> FreeRegs -> FreeRegs

initFreeRegs :: Platform -> FreeRegs

getFreeRegs :: RegClass -> FreeRegs -> [RealReg]

allocateReg :: RealReg -> FreeRegs -> FreeRegs